/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../_virtual/_rolldown/runtime.cjs");
const require_index = require("../modes/dist/index.cjs");
let react = require("react");
let react_jsx_runtime = require("react/jsx-runtime");
//#region src/providers/ScaleModeProvider.tsx
const ScaleModeContext = (0, react.createContext)(require_index.DEFAULT_SCALE_MODE);
function useScaleMode() {
	const context = (0, react.useContext)(ScaleModeContext);
	if (!context) return require_index.DEFAULT_SCALE_MODE;
	return context;
}
function ScaleModeProvider({ value, children }) {
	const scaleMode = useScaleMode();
	return /* @__PURE__ */ (0, react_jsx_runtime.jsx)(ScaleModeContext.Provider, {
		value: value ?? scaleMode,
		children
	});
}
ScaleModeProvider.displayName = "ScaleModeProvider";
//#endregion
exports.ScaleModeContext = ScaleModeContext;
exports.ScaleModeProvider = ScaleModeProvider;
exports.useScaleMode = useScaleMode;
